RabinSS< STANDARD, H > Struct Template Reference

Rabin signature. More...

Inheritance diagram for RabinSS< STANDARD, H >:

## Additional Inherited Members

Public Types inherited from TF_SS< STANDARD, H, Rabin >
typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions< TF_SS< STANDARD, H, Rabin, int >, Rabin, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate< TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< TF_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Public Types inherited from Rabin
typedef RabinFunction | PublicKey
typedef InvertibleRabinFunction | PrivateKey
Static Public Member Functions inherited from TF_SS< STANDARD, H, Rabin >
static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from Rabin
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class STANDARD, class H>
struct RabinSS< STANDARD, H >

Rabin signature.

Definition at line 100 of file rabin.h.

The documentation for this struct was generated from the following file:

- rabin.h